Vagrant.configure("2") do |config|
  config.vm.box = "antonilin/mint-19-mate"

  config.env.enable

  config.vm.provider :virtualbox do |vb|
    vb.name = "shef"
    vb.gui = true
  end

  config.vm.synced_folder "./", "/home/vagrant/.cache/shef/src", create: true, id: 'shef-src', automount: true, mount_options: ['uid=1000', "gid=1000"]
  config.vm.provision "shell", path: "vagrant/provision.sh", privileged: false, env: { "ENVIRONMENT" => ENV['ENVIRONMENT'] }
  config.vm.provision :reload

end
